
DeadDrop - Feature #60

Add 2nd Transport Layer Encryption

10/18/2023 12:35 PM - Sancho Fock

Status: New Start date: 11/13/2023

Priority: Normal Due date: 11/14/2023

Assignee: Sancho Fock % Done: 100%

Category:  Estimated time: 0:00 hour

Target version: 0.5.x   

Description

Use the Simplecrypt Session Key to encrypt all contents in the transmissions

- change Data Beans on Server and on Client side. except BaseClass ResponseBody, and the initial Register and Login Beans

Subtasks:

Feature # 61: change Server Side Beans Closed

Feature # 62: Change client side Beans Closed

Related issues:

Precedes Feature #64: Encrypt Session Keys in the Database Closed 11/16/2023 11/16/2023

Follows Feature #63: Reinit Simplecrypt Session key on ech Session Closed 11/10/2023 11/12/2023

History

#1 - 10/18/2023 12:36 PM - Sancho Fock

- Subtask #61 added

#2 - 10/18/2023 12:37 PM - Sancho Fock

- Subtask #62 added

#3 - 10/18/2023 12:45 PM - Sancho Fock

- Follows Feature #22: Customize End2End Encryption Options added

#4 - 10/18/2023 12:47 PM - Sancho Fock

- Precedes Feature #64: Encrypt Session Keys in the Database added

#5 - 10/18/2023 12:52 PM - Sancho Fock

- Follows Feature #63: Reinit Simplecrypt Session key on ech Session added

#6 - 10/18/2023 12:52 PM - Sancho Fock

- Follows deleted (Feature #22: Customize End2End Encryption Options)

#7 - 11/09/2023 10:12 PM - Sancho Fock

- Target version changed from 0.6.x to 0.5.x
